<%@ page language="java" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>
<head>
<jsp:include page="../../inc.jsp"></jsp:include>
<script type="text/javascript" charset="utf-8">
	var datagrid;
	$(function() {
		datagrid = $('#datagrid').datagrid({
			url : 'station!datagrid.do',
			iconCls : 'icon-save',
			pagination : true,
			pagePosition : 'bottom',
			pageSize : 20,
			pageList : [ 20, 40, 60, 80, 100, 120, 140, 160, 200 ],
			fit : true,
			fitColumns : true,
			nowrap : false,
			border : false,
			idField : 'cid',
			sortName : 'cid',
			sortOrder : 'desc',
			frozenColumns : [ [ {
				title : '编号',
				field : 'cid',
				width : 150,
				sortable : true,
				checkbox : true
			}, {
				title : '设备名称',
				field : 'cname',
				width : 150,
				sortable : true
			} ] ],
			columns : [ [ {
				title : '地址',
				field : 'caddr',
				width : 150
			}, {
				title : '矿区',
				field : 'mineareaname',
				width : 150
			}, {
				title : '类型',
				field : 'ctype',
				width : 150
			}, {
				title : '点位名',
				field : 'cdwm',
				width : 150
			}, {
				title : '传感器号',
				field : 'csenid',
				width : 150
			}, {
				title : 'OMD',
				field : 'comd',
				width : 150
			}, {
				title : '中段',
				field : 'clayer',
				width : 150
			}, {
				title : '数据主站ip',
				field : 'cip',
				width : 150
			}, {
				title : 'x坐标',
				field : 'cxpos',
				width : 150
			}, {
				title : 'y坐标',
				field : 'cypos',
				width : 150
			}, {
				title : 'z坐标',
				field : 'czpos',
				width : 150
			}, {
				title : '备注',
				field : 'cremark',
				width : 150
			} ] ],
			toolbar : [ {
				text : '增加',
				iconCls : 'icon-add',
				handler : function() {
					append();
				}
			}, '-', {
				text : '删除',
				iconCls : 'icon-remove',
				handler : function() {
					remove();
				}
			}, '-', {
				text : '修改',
				iconCls : 'icon-edit',
				handler : function() {
					edit();
				}
			}, '-', {
				text : '导出',
				iconCls : 'icon-edit',
				handler : function() {
					exportd();
				}
			}, '-', {
				text : '取消选中',
				iconCls : 'icon-undo',
				handler : function() {
					datagrid.datagrid('unselectAll');
				}
			}, '-' ],
			onRowContextMenu : function(e, rowIndex, rowData) {
				e.preventDefault();
				$(this).datagrid('unselectAll');
				$(this).datagrid('selectRow', rowIndex);
				$('#menu').menu('show', {
					left : e.pageX,
					top : e.pageY
				});
			}
		});
	});
	function edit() {
		var rows = datagrid.datagrid('getSelections');
		if (rows.length == 1) {
			var p = parent.dj
					.dialog({
						title : '修改设备信息',
						href : '${pageContext.request.contextPath}/station!stationEdit.do?cid='
								+ rows[0].cid,
						width : 500,
						height : 450,
						buttons : [ {
							text : '修改',
							handler : function() {
								var f = p.find('form');
								f
										.form({
											url : '${pageContext.request.contextPath}/station!edit.do',
											success : function(d) {
												var json = $.parseJSON(d);
												if (json.success) {
													datagrid.datagrid('reload');
													p.dialog('close');
												}
												parent.dj.messagerShow({
													msg : json.msg,
													title : '提示'
												});
											}
										});
								f.submit();
							}
						} ],
						onLoad : function() {
							var f = p.find('form');
							var mineareacode = f
									.find('input[name=mineareacode]');
							var mineareacodeComboboxTree = mineareacode
									.combotree({
										url : '${pageContext.request.contextPath}/minearea!doNotNeedSession_treeRecursive.do',
										multiple : false,
										editable : false,
										panelHeight : 'auto'
									});
							f.find('input[name=cid]').val(rows[0].cid);
							f.find('input[name=cname]').val(rows[0].cname);
							f.find('input[name=mineareacode]').val(
									rows[0].mineareacode);
							f.find('input[name=caddr]').val(rows[0].caddr);
							f.find('input[name=ctype]').val(rows[0].ctype);
							f.find('input[name=cxpos]').val(rows[0].cxpos);
							f.find('input[name=cypos]').val(rows[0].cypos);
							f.find('input[name=czpos]').val(rows[0].czpos);						
							f.find('input[name=cdwm]').val(rows[0].cdwm);
							f.find('input[name=csenid]').val(rows[0].csenid);
							f.find('input[name=comd]').val(rows[0].comd);
							f.find('input[name=clayer]').val(rows[0].clayer);
							f.find('input[name=cip]').val(rows[0].cip);
							f.find('textarea[name=cremark]').val(
									rows[0].cremark);
									

						}
					});
		} else if (rows.length > 1) {
			parent.dj.messagerAlert('提示', '同一时间只能编辑一条记录！', 'error');
		} else {
			parent.dj.messagerAlert('提示', '请选择要编辑的记录！', 'error');
		}
	}
	function append() {
		var p = parent.dj
				.dialog({
					title : '增加设备信息',
					href : '${pageContext.request.contextPath}/station!stationAdd.do',
					width : 500,
					height : 450,
					buttons : [ {
						text : '增加',
						handler : function() {
							var f = p.find('form');
							f
									.form({
										url : '${pageContext.request.contextPath}/station!add.do',
										success : function(d) {
											var json = $.parseJSON(d);
											if (json.success) {
												datagrid.datagrid('reload');
												p.dialog('close');
											}
											parent.dj.messagerShow({
												msg : json.msg,
												title : '提示'
											});
										}
									});
							f.submit();
						}
					} ],
					onLoad : function() {
						var f = p.find('form');
						var mineareacode = f.find('input[name=mineareacode]');
						var mineareacodeComboboxTree = mineareacode
								.combotree({
									url : '${pageContext.request.contextPath}/minearea!doNotNeedSession_treeRecursive.do',
									multiple : false,
									editable : false,
									panelHeight : 'auto'
								});
						var editor = f
								.find('textarea[name=cdesc]')
								.xheditor(
										{
											tools : 'full',
											html5Upload : true,
											upMultiple : 4,
											upLinkUrl : '${pageContext.request.contextPath}/station!upload.do',
											upLinkExt : 'zip,rar,txt,doc,docx,xls,xlsx',
											upImgUrl : '${pageContext.request.contextPath}/station!upload.do',
											upImgExt : 'jpg,jpeg,gif,png'
										});
					}
				});
	}
	function remove() {
		var rows = datagrid.datagrid('getChecked');
		var ids = [];
		if (rows.length > 0) {
			parent.dj
					.messagerConfirm(
							'请确认',
							'您要删除当前所选项目？',
							function(r) {
								if (r) {
									for ( var i = 0; i < rows.length; i++) {
										ids.push(rows[i].cid);
									}
									$
											.ajax({
												url : '${pageContext.request.contextPath}/station!delete.do',
												data : {
													ids : ids.join(',')
												},
												dataType : 'json',
												success : function(d) {
													datagrid.datagrid('load');
													datagrid
															.datagrid('unselectAll');
													parent.dj.messagerShow({
														title : '提示',
														msg : d.msg
													});
												}
											});
								}
							});
		} else {
			parent.dj.messagerAlert('提示', '请勾选要删除的记录！', 'error');
		}
	}
	function exportd() {
		Export('设备信息', $('#datagrid'))
	}
</script>
</head>
<body class="easyui-layout">
	<div data-options="region:'center',border:false"
		style="overflow: hidden;">
		<table id="datagrid"></table>
	</div>

	<div id="menu" class="easyui-menu" style="width:120px;display: none;">
		<div onclick="append();" data-options="iconCls:'icon-add'">增加</div>
		<div onclick="remove();" data-options="iconCls:'icon-remove'">删除</div>
		<div onclick="edit();" data-options="iconCls:'icon-edit'">编辑</div>
		<div onclick="exportd();" data-options="iconCls:'icon-edit'">导出</div>
	</div>
</body>
</html>